## E1.31
WLED supports the E1.31 (sACN) realtime light protocol. 

**As of WLED v0.10.0, Art-Net is alternatively supported.** All information on this page applies for Art-Net as well.
You will need to switch to Art-Net mode in Sync settings and reboot once.  

**As of WLED v0.11.0, DDP is alternatively supported.** Using DDP, the Multi RGB DMX mode is always used regardless of the DMX mode setting (as it is no DMX)
You will need to switch to DDP mode in Sync settings and reboot once.  

### Features
* 170 LEDs (510 DMX channels) are supported per universe. 
* You can use up to 9 adjacent universes which is a total of more than the maximum 1500 LEDs WLED can drive.

### General Recommendations
* For a fluent 25ms (40fps) or more framerate, it is recommended to use no more than 3 universes (510 LEDs).
* It is not recommended to try and have multiple E1.31 sources send to a single WLED controller at the same time. It will impact performance and there is no priority handling implemented. WLED is only meant to handle a single source at a time.
* Configure WLED to connect to [a WiFi Network](https://github.com/Aircoookie/WLED/wiki/Settings#wifi-settings). It was observed that sending E1.31 from a computer to WLED when accessed as access point (WLED-AP) may not work, see [forum post](https://wled.discourse.group/t/sending-e1-31-when-in-ap-mode-may-not-work/407). 
* When using an ESP32, disabling WiFi sleep in the WiFi settings of WLED can reduce/eliminate visual stuttering/lag of effects, and significantly reduce ping times. Note: disabling WiFi will increase power consumption.

### Using LedFX
We highly recommend the [LedFx project](https://github.com/LedFx/LedFx) in combination with WLED!
Configure WLED first, ensure devices are powered on and connected to your WiFi. 
To add WLED devices, in the 'Device Management', click on the Find WLED devices button.
If you want to manually add devices, use more than 170 LEDs with LedFx, you need to go to additional settings and set "Universe Size" to 510 when adding the WLED device!

## Settings
### DMX types
Select the mode you want to use in Sync settings.

#### 0: Disabled
Incoming E1.31 packets will be ignored.

#### 1: Single RGB
All LEDs are set to the same color. 3 Channels: Red, Green, Blue

#### 2: Single DRGB
All LEDs are set to the same color. 4 Channels: Master Dimmer, Red, Green, Blue

#### 3: Effect
Not a realtime mode. Allows setting WLED effect properties over E1.31 with 11 or 13 channels.
| Channel | Property |
| --- | --- |
1 | Master Dimmer
2 | Effect mode ID
3 | Effect speed
4 | Effect intensity
5 | Effect palette ID
6 | Red Primary
7 | Green Primary
8 | Blue Primary
9 | Red Secondary
10 | Green Secondary
11 | Blue Secondary
12 | White Primary (channel optional)
13 | White Secondary (channel optional)

#### 4: Multiple RGB
3 Channels per LED in sequence. LED 0 Red, LED 0 Green, LED 0 Blue, LED 1 Red, ...
Default mode, equivalent to pre-0.9.1 E1.31. This is the mode you want to use for xLights and LedFx.

#### 5: Multiple DRGB
Like Multiple RGB, but the first channel is a brightness control.
Master Dimmer, LED 0 Red, LED 0 Green, ...

