**Don't know yet how to solder? Unsure how to connect your LEDs safely? How to find the perfect power supply?**  
No worries, we have collected a few helpful links for you to learn more about these and more topics:

### WLED specific tutorials

| Resource | Maker | Type | Info
| --- | --- | --- | --- |
[Beginner's guide to freak'n cool Holiday LEDs](https://www.youtube.com/watch?v=tXvtxwK3jRk) | DrZzs | Video (23:22) | Excellent guide for getting started with WLED!
[How to Set Colors and Effects, Save Presets, Make Sync Groups, add a Button, & Macros for Scheduling](https://www.youtube.com/watch?v=6eCE2BpLaUQ) | DrZzs | Video (23:39) | Learn about some cool additional WLED features!
[Make your LEDs dance to music!](https://www.youtube.com/watch?v=ipSfQdfX4fE) | DrZzs | Video (11:30) | How to install LedFx and connect it to WLED for quick sound reactive effects!
[Getting started with WLED](https://tynick.com/blog/11-03-2019/getting-started-with-wled-on-esp8266/) | tynick | Article | Complete and excellent guide on how to flash and get WLED up and running!
[How to Compile WLED (from scratch)](https://youtu.be/fRxyp5Yhivc) | Quindor | Video (02:15:00) | How to compile WLED yourself from scratch (most info in first 30 minutes)
[WLED with QuinLED-Dig-Uno Install Tutorial](https://youtu.be/2X_0Oe24vkA) | Quindor | Video (11:13) | Initial flash and setup of WLED on QuinLED-Dig-Uno board
[Integrating WLED into Home Assistant](https://youtu.be/d8RpFupihWc) | Quindor | Video (8:22) | How to use a WLED node in Home Assistant
[Holiday LEDs Step-by-step with WLED & Home Assistant](https://youtu.be/zepNvlN4gEc) | KPeyanski | Video (20:38) | Complete and great wiring, installation and HA setup tutorial
[HOW-TO: Holiday LED Strip Lights, Home Assistant and WLED](https://peyanski.com/holiday-led-strip-lights-home-assistant-and-wled/) | KPeyanski | Article | Same as the above video, but in text form!
[Smart Ping Pong LED Lamp - Quick&Simple DIY](https://www.youtube.com/watch?v=WlkMbNnIECM) | bitluni | Video (18:19) | Construction, wiring and flashing of a cool looking and easy to make lamp
[ESP8266 based LED controller for WS2812b strip. WLED Firmware + OpenHAB (in Russian)](https://www.youtube.com/watch?v=K4ioTt3XvGc) | Room31 | Video (17:04) | 
[How to use WLED on an ESP32 (german)](https://www.adlerweb.info/blog/2020/11/01/bitbastelei-409-ws2812b-neopixel-mit-wled-einfach-steuern/ ) | Bitbastelei/Adlerweb | Video (11:00) |
[DIY Ambilight using WLED and a Relay](https://wiki.faked.org/DIY_Ambilight) | jangrewe | Article | Wiki page with schematics and instructions for Hyperion, etc. |
[Adding Smarts and Color to an IKEA Lamp](https://apop.tech/posts/adding-smarts-and-color-to-an-ikea-lamp/) | apop880 | Article | Tutorial on upgrading a basic IKEA lamp with WLED |

### Digital LED knowledge

| Resource | Maker | Type | Info |
| --- | --- | --- | --- |
[Adafruit NeoPixel Überguide](https://learn.adafruit.com/adafruit-neopixel-uberguide) | Adafruit | Article | Everything that's important at a glance. *Highly recommended for newcomers to digital LEDs*
[Digital LED Power Usage](https://quinled.info/2020/03/12/digital-led-power-usage/) | Quindor | Article/Spreadsheet/Video | Helps you plan the power usage of your installation
[Power calculation and injection live stream](https://quinled.info/2020/09/26/power-injection-livestream/) | Quindor | Video (2:24:52) | Tons of great questions and answers. Live calculations, drawings, 5v vs 12v, strip comparisons, etc.
[Difference between LED strip types](https://www.youtube.com/watch?v=QnvircC22hU) | The Hook Up | Video (14:41) | What is the best LED strip for your project?
[7 Common LED Strip FAILS and How To Avoid Them](https://www.youtube.com/watch?v=Fu4qZW0pQm4) | The Hook Up | Video (12:14) | Make your project look much better!
[Power Injection demystified](http://spikerlights.com/pwrinjection.aspx) | Spiker Lights | Article | What is power injection and how much do I need?
[Common(sharing) Ground / Multiple power supplies](https://majenko.co.uk/blog/importance-sharing-grounds) | | Article | When using more than one power supply.

### Tools & Skills

| Resource | Maker | Type | Info |
| --- | --- | --- | --- |
[How to Solder](https://www.youtube.com/watch?v=ZwU9SqO0udU) | Beauty and the Bolt | Video (9:50) | |
[Soldering new leads to LED strip](https://youtu.be/sU1O80WPqpk) | Quindor | Video (8:24) | |
[Soldering Tutorial Part 2](https://www.youtube.com/watch?v=fYz5nIHH0iY) | EEVblog | Video (34:05) | Detailed tutorial on soldering, see parts 1 and 3 for even more info)
[Voltage Drop Calculator](https://www.rapidtables.com/calc/wire/voltage-drop-calculator.html) | | Tool | |
[Another Voltage Drop Calculator](https://www.calculator.net/voltage-drop-calculator.html) | | Tool | |
[Pixel/Bullet Voltage Drop Calc](http://spikerlights.com/calcpower.aspx) | | Tool |5 and 12V| 
[Combined Wire Gauge Calculator](https://www.wirebarn.com/Combined-Wire-Gauge-Calculator_ep_42.html) | | Tool | |
[Wire Size/Ampacity](https://www.powerstream.com/Wire_Size.htm)| | Tool|Use chassis wiring
_Add more categories as needed :)_